/*********************************************************
'*                                                       *
'*                 Radio Sample Codes                    *
'*                                                       *
'* ----------------------------------------------------- *
'*    Module   :   radioTest.c                           *
'*    Author   :   Li Zheng                              *
'********************************************************/
#include <msp430x44x.h>

//샂[h`                         
#define RF_STANDBY                       0x04
#define RF_TRANSMITTER                   0x0C

//SX1231WX^AhX
#define REG_FDEVMSB                      0x05 
#define REG_FDEVLSB                      0x06

void spiWriteReg(char addr, char val);

void radioInit(char chan, char power);
void radioMode(char mode);

//AgeXgvO
void radioTest(char chan, char power, char mod)
{      
  //LED|[g
  P1DIR |= BIT0;    
  
  //RF IC`bv  
  radioInit(chan, power);

  //Ag:gΈڂ[ɂ
  if (mod == 0) {  
    spiWriteReg(REG_FDEVMSB,0); 
    spiWriteReg(REG_FDEVLSB,0);     
  }

  //M[hɐ؂ւ
  radioMode(RF_TRANSMITTER);   
  for (char i=0; i<100; i++) {
    //LED_
    P1OUT ^= BIT0;
    
    //Ԓx
    unsigned short j = 50000;    
    while (j--);    
  }
  radioMode(RF_STANDBY);   
}
